eConnect requires Integrated Security


SYMPTOMS

When you use eConnect version 8. x . x . x , you receive the following error message:


Version=8.0.0.0
Unique MessageId =
Error Number = 1010
Error Description = Integrated Security is required.
Please ensure that the ConnectionString input parameter is valid.
Example: Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=TWO;Data Source=MySQLServerName
Error Source = ExecProcsXML.ExecStoredProc
Line Number=1120

 

CAUSE

eConnect requires Integrated Security when it calls the eConnect8.dll file (COM object) and the Microsoft.GreatPlains eConnect.dll file (.NET assembly). If eConnect has not been configured in the connection string that eConnect is using, you may receive the error message that is mentioned in the Symptoms section. If you are testing a XML document by using the eConnect Document Sending Utility, you must configure the connection string to use Integraged Security.

RESOLUTION

To enable Integrated Security, add a domain account to the SQL Server that you use to communicate with the eConnect objects. The logon must have access to the Dynamics database and to the Company database. Additioinally, the logon must be a part of the database role in DYNGRP.

There are two other options for the eConnect Document Sending Utility. The first is to manually change the connection string so that it appears like the following:
Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=True;;Initial Catalog=MyDB;Data Source=MySQLServerName  


The second is to make a change when you set up the connection string in the Data Links Properties window. To do this, follow these steps:
1. In the Data Links Properties window, click the ellipse that is next to the Connection String field.
2. Click the SQL Server name, and then click Use Windows NT Integrated security .
3. Click the database where the XML Document will be integrated, and then click OK .

You can now use the eConnect Document Sending Utility to test XML documents with the COM object.

MORE INFORMATION

Versions of eConnect that are earlier than eConnect 8.0 do not require Integrated Security.